using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Models;
using LoveDAL;

namespace LoveBLL
{
    public static class VoteManager
    {
        
        public static IList<Qest> GetQestAll()
        {
            return VoteService.GetQestAll();
        }
        public static IList<Answer> GetAnAll(int quesid)
        {
            return VoteService.GetAnswerByQestId(quesid);
        }
        public static bool InsertQuestion(Qest q,int id,int quesid)
        {
            return VoteService.InsertQuestion(q, id, quesid);
        }
        public static Qest qest(int id)
        {
            return VoteService.GetQestById(id);
        }

        //返回所有问题和答案选项数目
        public static IList<Qest> GetQestAndAnswerAll()
        {
            return VoteService.GetQestAndAnswerAll();
        }
    }
}
